Search Results for

Show / Hide Table of Contents

# Class ConsoleDriver.DiagnosticFlags

Enables diagnostic functions

##### Inheritance

System.Object
ConsoleDriver.DiagnosticFlags

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class DiagnosticFlags : Enum

### Fields

#### FramePadding

When Enabled, DrawWindowFrame(Rect, Int32, Int32, Int32, Int32, Boolean, Boolean, Border) will use 'L', 'R', 'T', and 'B' for padding instead of ' '.

##### Declaration

    public const ConsoleDriver.DiagnosticFlags FramePadding

##### Field Value

Type | Description
--- | ---
ConsoleDriver.DiagnosticFlags |

#### FrameRuler

When enabled, DrawWindowFrame(Rect, Int32, Int32, Int32, Int32, Boolean, Boolean, Border) will draw a ruler in the frame for any side with a padding value greater than 0.

##### Declaration

    public const ConsoleDriver.DiagnosticFlags FrameRuler

##### Field Value

Type | Description
--- | ---
ConsoleDriver.DiagnosticFlags |

#### Off

All diagnostics off

##### Declaration

    public const ConsoleDriver.DiagnosticFlags Off

##### Field Value

Type | Description
--- | ---
ConsoleDriver.DiagnosticFlags |

#### value__

##### Declaration

    public uint value__

##### Field Value

Type | Description
--- | ---
System.UInt32 |